require 'zlib'
require 'stringio'
require 'json'

module Gdas
  class GZip
    def uncompress(data)
      io = ::StringIO.new data, 'rb'
      gz = ::Zlib::GzipReader.new io
      gz.read
    ensure
      gz&.close
    end

    def compress(data)
      io = ::StringIO.new 'w'
      gz = ::Zlib::GzipWriter.new io
      gz.write data
      io.string
    ensure
      gz&.close
    end
  end
end
